/* Text styles */

html {
  font-size: 21px;
}

body {
  @include roboto-regular-font-family;
  color: $dark-grey;
}

.emphasis {
  font-weight: bold;
}

.error-message {
  color: $vivid-red;
}

.required-field::after {
  content: "*";
  color: red;
}

/* Highlights */

.orange-highlight {
  color: $vivid-orange;
}

.bright-orange-highlight {
  color: $bright-orange;
}

.blue-highlight {
  color: $vivid-blue;
}

.dark-blue-highlight {
  color: $dark-blue;
}

.red-highlight {
  color: $vivid-red;
}

.dark-red-highlight {
  color: $dark-red;
}

/* Links */

a {
  color: $dark-teal;
  transition: 0.5s;
  -webkit-transition: 0.5s;
}

/* Buttons */

.gradient-button {
  a {
    color: white;
    display: block;
  }
}

.gradient-button,
.gradient-button:active,
.gradient-button:focus {
  border: 0;
  margin: 1.5rem;
  padding: 1rem 1.5rem 1rem 1.5rem;
  font-size: 1.2rem;
  font-weight: 300;
  text-align: center;
  transition: 0.5s;
  -webkit-transition: 0.5s;
  background-size: 200% auto;
  color: white;
  border-radius: 1rem;
  opacity: 0.9;
}

.gradient-button:hover {
  border: 0;
  cursor: pointer;
  background-position: right center;
  color: white;
}

.red-orange-gold-gradient {
  background-image: linear-gradient(to right, #ff1a04 0%, #ef6117 51%, #fc0007 100%);
}

.blue-teal-blue-gradient {
  background-image: linear-gradient(to right, $vivid-blue 0%, $teal 51%, $vivid-blue 100%);
}

/* Titles */

h1 {
  @include althea-font-family;

  font-size: 3rem;
  font-weight: 200;
  line-height: 120%;
  color: $vivid-orange;
  margin-bottom: 0;
  padding-bottom: 0;
}

h2 {
  @include roboto-condensed-font-family;

  align-self: center;
  font-size: 2.25rem;
  color: $teal;
  padding: 0 2rem 0 2rem;
}

h3 {
  @include roboto-condensed-font-family;
  font-size: 1.8rem;
  color: $teal;
  padding-bottom: 0.5rem;
}

h4 {
  @include roboto-condensed-font-family;
  font-size: 1.2rem;
  color: $vivid-orange;
  padding-bottom: 0.5rem;
}

h5 {
  @include roboto-condensed-font-family;
  font-size: 1.1rem;
  color: $teal;
  padding-bottom: 0.3rem;
}

/* Lists */

ul.decorated-list {
  @include decorated-list;
}

/* Paragraph decorations */

div.drop-cap > p:first-of-type::first-letter {
  @include althea-font-family;
  line-height: 0.8em;
  float: left;
  margin: 0.5rem 0.5rem 0 0;
  font-size: 6em;
  color: $teal;
}

/* Image styles */

.fancy-border {
  border: 1px solid #ddd;
  border-radius: 0.5rem;
  padding: 0.5rem;
  margin: 0 0 0.5rem 0;
}
